ppm install on Activestate perl fails

2 views
Skip to first unread message

dave tansek

unread,
Oct 29, 2014, 1:45:01 AM10/29/14
to perl...@perl.org
I hope this is the correct way to ask a question. I have been trying for several days to get LDAP to work in my perl ActiveState 5.8 (32bit) system. I keep getting an error from the Constant.PM file.

I am given the following messages:
---
"import" is not exported by the Exporter module
Can't continue after import errors at C:/Perl/site/lib/Net/LDAP/Constant.pm line 7
BEGIN failed--compilation aborted at C:/Perl/site/lib/Net/LDAP/Constant.pm line 7.
Compilation failed in require at C:/Perl/site/lib/Net/LDAP/Message.pm line 5.
BEGIN failed--compilation aborted at C:/Perl/site/lib/Net/LDAP/Message.pm line 5.
Compilation failed in require at C:/Perl/site/lib/Net/LDAP.pm line 11.
BEGIN failed--compilation aborted at C:/Perl/site/lib/Net/LDAP.pm line 11.
Compilation failed in require at ldap-test2.pl line 2.
BEGIN failed--compilation aborted at ldap-test2.pl line 2.
---
If I comment out the Exporter line in Constats.pm, then none of the constants are brought in, so the program fails.

I tried several different versions of the perl-ldap package with the same results (ppm wants to install 4.001 always).

Any help would be greatly appreciated!

Thanks,

Dave.
Reply all
Reply to author
Forward
0 new messages